# Desc: The /var/cpanel/cpanel.config file stores all of the settings that are available in WHM's Tweak Settings interface (Home >> Server Configuration >> Tweak Settings)
# Docs: https://documentation.cpanel.net/display/70Docs/The+cpanel.config+File.
# The cpanel.config values below were pulled from a default installation.

default['cpanel']['RS'] = 'paper_lantern'
default['cpanel']['VFILTERDIR'] = '/etc/vfilters'
default['cpanel']['access_log'] = '/usr/local/cpanel/logs/access_log'
default['cpanel']['account_login_access'] = 'owner_root'
default['cpanel']['adminuser'] = 'cpanel'
default['cpanel']['allow_deprecated_accesshash'] = '0'
default['cpanel']['allow_login_autocomplete'] = '1'
default['cpanel']['allow_server_info_status_from'] = ''
default['cpanel']['allow_weak_checksums'] = '0'
default['cpanel']['allowcpsslinstall'] = '1'
default['cpanel']['allowparkhostnamedomainsubdomains'] = '0'
default['cpanel']['allowparkonothers'] = '0'
default['cpanel']['allowremotedomains'] = '0'
default['cpanel']['allowresellershostnamedomainsubdomains'] = '0'
default['cpanel']['allowunregistereddomains'] = '0'
default['cpanel']['allowwhmparkonothers'] = '0'
default['cpanel']['alwaysredirecttossl'] = '1'
default['cpanel']['apache_port'] = '0.0.0.0:80'
default['cpanel']['apache_ssl_port'] = '0.0.0.0:443'
default['cpanel']['api_shell'] = '0'
default['cpanel']['autocreateaentries'] = '1'
default['cpanel']['autodiscover_host'] = 'cpanelemaildiscovery.cpanel.net'
default['cpanel']['autodiscover_mail_service'] = 'imap'
default['cpanel']['autodiscover_proxy_subdomains'] = '0'
default['cpanel']['autoupdate_certificate_on_hostname_mismatch'] = '1'
default['cpanel']['awstatsbrowserupdate'] = '0'
default['cpanel']['awstatsreversedns'] = '0'
default['cpanel']['basename'] = 'cpanel'
default['cpanel']['bind_deferred_restart_time'] = '2'
default['cpanel']['blockcommondomains'] = '1'
default['cpanel']['bwcycle'] = '2'
default['cpanel']['cgihidepass'] = '0'
default['cpanel']['check_zone_owner'] = '1'
default['cpanel']['check_zone_syntax'] = '1'
default['cpanel']['chkservd_check_interval'] = '300'
default['cpanel']['chkservd_hang_allowed_intervals'] = '2'
default['cpanel']['chkservd_plaintext_notify'] = '0'
default['cpanel']['cluster_autodisable_threshold'] = '10'
default['cpanel']['cluster_failure_notifications'] = '1'
default['cpanel']['conserve_memory'] = '0'
default['cpanel']['cookieipvalidation'] = 'strict'
default['cpanel']['coredump'] = '0'
default['cpanel']['cpaddons_adminemail'] = ''
default['cpanel']['cpaddons_autoupdate'] = '1'
default['cpanel']['cpaddons_max_moderation_req_all_mod'] = '99'
default['cpanel']['cpaddons_max_moderation_req_per_mod'] = '99'
default['cpanel']['cpaddons_moderation_request'] = '0'
default['cpanel']['cpaddons_no_3rd_party'] = '0'
default['cpanel']['cpaddons_no_modified_cpanel'] = '1'
default['cpanel']['cpaddons_notify_owner'] = '1'
default['cpanel']['cpaddons_notify_root'] = '1'
default['cpanel']['cpaddons_notify_users'] = 'Allow users to choose'
default['cpanel']['cpanel_locale'] = ''
default['cpanel']['cpredirect'] = 'Origin Domain Name'
default['cpanel']['cpredirectssl'] = 'SSL Certificate Name'
default['cpanel']['cpsrvd-domainlookup'] = '0'
default['cpanel']['create_account_dkim'] = '1'
default['cpanel']['create_account_spf'] = '1'
default['cpanel']['cycle_hours'] = '24'
default['cpanel']['database_prefix'] = '1'
default['cpanel']['debughooks'] = '0'
default['cpanel']['default_archive-logs'] = '1'
default['cpanel']['default_login_theme'] = 'cpanel'
default['cpanel']['default_pkg_bwlimit'] = '1048576'
default['cpanel']['default_pkg_max_emailacct_quota'] = '1024'
default['cpanel']['default_pkg_quota'] = '10240'
default['cpanel']['default_remove-old-archived-logs'] = '1'
default['cpanel']['defaultmailaction'] = 'localuser'
default['cpanel']['disable-php-as-reseller-security'] = '0'
default['cpanel']['disablequotacache'] = '0'
default['cpanel']['disk_usage_include_mailman'] = '1'
default['cpanel']['disk_usage_include_sqldbs'] = '1'
default['cpanel']['display_cpanel_doclinks'] = '0'
default['cpanel']['dnsadmin_log'] = '0'
default['cpanel']['dnsadmin_verbose_sync'] = '0'
default['cpanel']['dnsadminapp'] = 'dnsadminapp'
default['cpanel']['dnslookuponconnect'] = '0'
default['cpanel']['docroot'] = '/usr/local/cpanel/base'
default['cpanel']['domainowner_mail_pass'] = '0'
default['cpanel']['dormant_services'] = 'cpanalyticsd,cpdavd,cphulkd,cpsrvd,dnsadmin,spamd'
default['cpanel']['dumplogs'] = '1'
default['cpanel']['email_account_quota_default_selected'] = 'userdefined'
default['cpanel']['email_account_quota_userdefined_default_value'] = '1024'
default['cpanel']['email_send_limits_count_mailman'] = '0'
default['cpanel']['email_send_limits_defer_cutoff'] = '125'
default['cpanel']['email_send_limits_max_defer_fail_percentage'] = 'email_send_limits_max_defer_fail_percentage'
default['cpanel']['email_send_limits_min_defer_fail_to_trigger_protection'] = '5'
default['cpanel']['emailarchive'] = '0'
default['cpanel']['emailpasswords'] = '0'
default['cpanel']['emailsperdaynotify'] = 'emailsperdaynotify'
default['cpanel']['emailusers_diskusage_critical_contact_admin'] = '1'
default['cpanel']['emailusers_diskusage_critical_percent'] = '90.0000'
default['cpanel']['emailusers_diskusage_full_contact_admin'] = '1'
default['cpanel']['emailusers_diskusage_full_percent'] = '98.0000'
default['cpanel']['emailusers_diskusage_warn_contact_admin'] = '0'
default['cpanel']['emailusers_diskusage_warn_percent'] = '80.0000'
default['cpanel']['emailusers_mailbox_critical_percent'] = '90.0000'
default['cpanel']['emailusers_mailbox_full_percent'] = '98.0000'
default['cpanel']['emailusers_mailbox_warn_percent'] = '80.0000'
default['cpanel']['emailusersbandwidthexceed'] = '0'
default['cpanel']['emailusersbandwidthexceed70'] = '0'
default['cpanel']['emailusersbandwidthexceed75'] = '0'
default['cpanel']['emailusersbandwidthexceed80'] = '1'
default['cpanel']['emailusersbandwidthexceed85'] = '0'
default['cpanel']['emailusersbandwidthexceed90'] = '0'
default['cpanel']['emailusersbandwidthexceed95'] = '0'
default['cpanel']['emailusersbandwidthexceed97'] = '0'
default['cpanel']['emailusersbandwidthexceed98'] = '0'
default['cpanel']['emailusersbandwidthexceed99'] = '0'
default['cpanel']['empty_trash_days'] = 'disabled'
default['cpanel']['enable_piped_logs'] = '0'
default['cpanel']['enablecompileroptimizations'] = '0'
default['cpanel']['enablefileprotect'] = '1'
default['cpanel']['engine'] = 'cpanel'
default['cpanel']['enginepl'] = 'cpanel.pl'
default['cpanel']['engineroot'] = '/usr/local/cpanel'
default['cpanel']['exim-retrytime'] = '15'
default['cpanel']['exim_retention_days'] = '10'
default['cpanel']['eximmailtrap'] = '1'
default['cpanel']['extracpus'] = '0'
default['cpanel']['file_upload_max_bytes'] = 'file_upload_max_bytes'
default['cpanel']['file_upload_must_leave_bytes'] = '5'
default['cpanel']['file_usage'] = '0'
default['cpanel']['ftppasslogs'] = '0'
default['cpanel']['ftpquotacheck_expire_time'] = '30'
default['cpanel']['ftpserver'] = 'pure-ftpd'
default['cpanel']['global_dcv_rewrite_exclude'] = '0'
default['cpanel']['gzip_compression_level'] = '6'
default['cpanel']['gzip_pigz_block_size'] = '4096'
default['cpanel']['gzip_pigz_processes'] = '1'
default['cpanel']['htaccess_check_recurse'] = '2'
default['cpanel']['httpd_deferred_restart_time'] = '0'
default['cpanel']['ignoredepreciated'] = '0'
default['cpanel']['invite_sub'] = '1'
default['cpanel']['ionice_bandwidth_processing'] = '6'
default['cpanel']['ionice_cpbackup'] = '6'
default['cpanel']['ionice_dovecot_maintenance'] = '7'
default['cpanel']['ionice_email_archive_maintenance'] = '7'
default['cpanel']['ionice_ftpquotacheck'] = '6'
default['cpanel']['ionice_log_processing'] = '7'
default['cpanel']['ionice_quotacheck'] = '6'
default['cpanel']['ionice_userbackup'] = '7'
default['cpanel']['ionice_userproc'] = '6'
default['cpanel']['ipv6_control'] = '0'
default['cpanel']['ipv6_listen'] = '0'
default['cpanel']['jailapache'] = '0'
default['cpanel']['jaildefaultshell'] = '0'
default['cpanel']['jailmountbinsuid'] = '0'
default['cpanel']['jailmountusrbinsuid'] = '0'
default['cpanel']['jailprocmode'] = 'mount_proc_jailed_fallback_full'
default['cpanel']['keepftplogs'] = '0'
default['cpanel']['keeplogs'] = '0'
default['cpanel']['keepstatslog'] = '0'
default['cpanel']['loadthreshold'] = 'loadthreshold'
default['cpanel']['local_nameserver_type'] = 'bind'
default['cpanel']['log_successful_logins'] = '0'
default['cpanel']['logchmod'] = '0640'
default['cpanel']['logout_redirect_url'] = ''
default['cpanel']['mailbox_storage_format'] = 'maildir'
default['cpanel']['mailserver'] = 'dovecot'
default['cpanel']['maintenance_rpm_version_check'] = '1'
default['cpanel']['maintenance_rpm_version_digest_check'] = '1'
default['cpanel']['maxcpsrvdconnections'] = '200'
default['cpanel']['maxemailsperhour'] = 'maxemailsperhour'
default['cpanel']['maxmem'] = '768'
default['cpanel']['min_time_between_apache_graceful_restarts'] = '10'
default['cpanel']['minpwstrength'] = '65'
default['cpanel']['modsec_keep_hits'] = '7'
default['cpanel']['mycnf_auto_adjust_innodb_buffer_pool_size'] = '0'
default['cpanel']['mycnf_auto_adjust_maxallowedpacket'] = '1'
default['cpanel']['mycnf_auto_adjust_openfiles_limit'] = '1'
default['cpanel']['myname'] = 'cpaneld'
default['cpanel']['mysql-host'] = 'localhost'
default['cpanel']['mysql-version'] = '5.7'
default['cpanel']['mysqldebug'] = '0'
default['cpanel']['nobodyspam'] = '1'
default['cpanel']['nocpbackuplogs'] = '0'
default['cpanel']['nosendlangupdates'] = '0'
default['cpanel']['notify_expiring_certificates'] = '1'
default['cpanel']['numacctlist'] = '30'
default['cpanel']['overwritecustomproxysubdomains'] = '0'
default['cpanel']['overwritecustomsrvrecords'] = '0'
default['cpanel']['permit_appconfig_entries_without_acls'] = '0'
default['cpanel']['permit_appconfig_entries_without_features'] = '0'
default['cpanel']['permit_unregistered_apps_as_reseller'] = '0'
default['cpanel']['permit_unregistered_apps_as_root'] = '0'
default['cpanel']['php_max_execution_time'] = '90'
default['cpanel']['php_post_max_size'] = '55'
default['cpanel']['php_system_default_version'] = 'ea-php56'
default['cpanel']['php_upload_max_filesize'] = '50'
default['cpanel']['phploader'] = ''
default['cpanel']['phpopenbasedirhome'] = '0'
default['cpanel']['pma_disableis'] = '0'
default['cpanel']['popbeforesmtp'] = '0'
default['cpanel']['popbeforesmtpsenders'] = '0'
default['cpanel']['postgresdebug'] = '0'
default['cpanel']['product'] = 'cPanel'
default['cpanel']['proxysubdomains'] = '1'
default['cpanel']['proxysubdomainsfornewaccounts'] = '1'
default['cpanel']['proxysubdomainsoverride'] = '1'
default['cpanel']['publichtmlsubsonly'] = '1'
default['cpanel']['query_apache_for_nobody_senders'] = '1'
default['cpanel']['referrerblanksafety'] = '0'
default['cpanel']['referrersafety'] = '0'
default['cpanel']['remotewhmtimeout'] = '35'
default['cpanel']['repquota_timeout'] = '60'
default['cpanel']['requiressl'] = '1'
default['cpanel']['resetpass'] = '1'
default['cpanel']['resetpass_sub'] = '1'
default['cpanel']['root'] = '/usr/local/cpanel'
default['cpanel']['rotatelogs_size_threshhold_in_megabytes'] = '300'
default['cpanel']['roundcube_db'] = 'sqlite'
default['cpanel']['rpmup_allow_kernel'] = '0'
default['cpanel']['selfsigned_generation_for_bestavailable_ssl_install'] = '1'
default['cpanel']['send_error_reports'] = '1'
default['cpanel']['send_server_configuration'] = '1'
default['cpanel']['send_server_usage'] = '1'
default['cpanel']['server_locale'] = 'en'
default['cpanel']['showwhmbwusageinmegs'] = '0'
default['cpanel']['signature_validation'] = 'Release Keyring Only'
default['cpanel']['skip_chkservd_recovery_notify'] = '0'
default['cpanel']['skipanalog'] = '0'
default['cpanel']['skipapacheclientsoptimizer'] = '0'
default['cpanel']['skipawstats'] = '0'
default['cpanel']['skipboxcheck'] = '1'
default['cpanel']['skipboxtrapper'] = '0'
default['cpanel']['skipbwlimitcheck'] = '0'
default['cpanel']['skipchkservd'] = '0'
default['cpanel']['skipcpbandwd'] = '0'
default['cpanel']['skipdiskcheck'] = '0'
default['cpanel']['skipdiskusage'] = '0'
default['cpanel']['skipeximstats'] = '0'
default['cpanel']['skiphorde'] = '0'
default['cpanel']['skiphttpauth'] = '1'
default['cpanel']['skipjailmanager'] = '0'
default['cpanel']['skipmailauthoptimizer'] = '0'
default['cpanel']['skipmailman'] = '0'
default['cpanel']['skipmodseclog'] = '0'
default['cpanel']['skipnotifyacctbackupfailure'] = '0'
default['cpanel']['skipoomcheck'] = '0'
default['cpanel']['skipparentcheck'] = '0'
default['cpanel']['skiprecentauthedmailiptracker'] = '0'
default['cpanel']['skiproundcube'] = '0'
default['cpanel']['skipspamassassin'] = '0'
default['cpanel']['skipspambox'] = '1'
default['cpanel']['skipsqmail'] = '0'
default['cpanel']['skiptailwatchd'] = '0'
default['cpanel']['skipwebalizer'] = '0'
default['cpanel']['smtpmailgidonly'] = '0'
default['cpanel']['stats_log'] = '/usr/local/cpanel/logs/stats_log'
default['cpanel']['statsloglevel'] = '1'
default['cpanel']['statthreshhold'] = '256'
default['cpanel']['system_diskusage_critical_percent'] = '92.5500'
default['cpanel']['system_diskusage_warn_percent'] = '82.5500'
default['cpanel']['tcp_check_failure_threshold'] = '3'
default['cpanel']['transfers_timeout'] = '1800'
default['cpanel']['tweak_unset_vars'] = ''
default['cpanel']['upcp_log_retention_days'] = '45'
default['cpanel']['update_log_analysis_retention_length'] = '90'
default['cpanel']['use_apache_md5_for_htaccess'] = '1'
default['cpanel']['use_information_schema'] = '1'
default['cpanel']['useauthnameservers'] = '0'
default['cpanel']['usemailformailmanurl'] = '0'
default['cpanel']['usemysqloldpass'] = '0'
default['cpanel']['userdirprotect'] = '1'
default['cpanel']['verify_3rdparty_cpaddons'] = '0'
default['cpanel']['version'] = '3.4'
default['cpanel']['xframecpsrvd'] = '0'
